import { DemensionPagesInter } from './../../types'
export const FaLvFengXian: DemensionPagesInter = {
  projectName: '法律风险',
  list: [
    {
      code: 'open_announcement',
      routing: 'KaiTingGongGao',
      title: '开庭公告',
      tabs: 'deleted',
      menuList: [
        {
          paramsValue: 'identity',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '原告/公诉人/上诉人/申请人',
              value: '1'
            },
            {
              text: '被告/被上诉人/被申请人',
              value: '2'
            }
          ]
        },
        {
          paramsValue: 'caseReason',
          value: '',   // v-model绑定的值
          paramsId: 'case_reason',
          list: [
            {
              text: '案由不限',
              value: ''
            }
          ]
        }
      ],
      viewList: [
        {
          value: 'caseReason',
          valueType: 'title'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '上诉人/原告',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '被上诉人/被告',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '开庭时间',
          value: 'startDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'dishonesty',
      routing: 'ShiXinQingKuang',
      title: '失信信息',
      tabs: 'deleted',
      menuList: [
        {
          paramsValue: 'performance',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '履行情况不限',
              value: ''
            },
            {
              text: '全部未履行',
              value: '全部未履行'
            },
            {
              text: '部分未履行',
              value: '部分未履行'
            }
          ]
        },
        {
          paramsValue: 'year',
          value: '',   // v-model绑定的值
          paramsId: 'pub_date',
          list: [
            {
              text: '年份不限',
              value: ''
            }
          ]
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '执行法院',
          value: 'court'
        },
        {
          name: '执行依据文号',
          value: 'gistDd'
        },
        {
          name: '履行情况',
          value: 'performance'
        },
        {
          name: '立案日期',
          value: 'regTime',
          valueType: 'date'
        },
        {
          name: '发布日期',
          value: 'pubDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'case_filing',
      routing: 'LiAnXinXi',
      title: '立案信息',
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '法院',
          value: 'court'
        },
        {
          name: '承办部门',
          value: 'department'
        },
        {
          name: '承办法官',
          value: 'judge'
        },
        {
          name: '法官助理',
          value: 'assistant'
        },
        {
          name: '立案时间',
          value: 'filingDate',
          valueType: 'date'
        },
        {
          name: '开庭时间',
          value: 'startTime',
          valueType: 'date'
        },
        {
          name: '结案时间',
          value: 'closeDate',
          valueType: 'date'
        },
        {
          name: '案件状态',
          value: 'caseStatus'
        },
        {
          name: '案由',
          value: 'caseReason'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '原告/上诉人/申请人/公诉人',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '被告人/被告/被上诉人/被申请人',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigant_id'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '上诉人/原告',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '被上诉人/被告',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '立案日期',
          value: 'filingDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'send_announcement',
      routing: 'SongDaGongGao',
      tabs: 'deleted',
      title: '送达公告',
      menuList: [
        {
          paramsValue: 'identity',
          value: '',   // v-model绑定的值
          list: [
            {
              text: '身份不限',
              value: ''
            },
            {
              text: '原告/公诉人/上诉人/申请人',
              value: '1'
            },
            {
              text: '被告/被上诉人/被申请人',
              value: '2'
            }
          ]
        },
        {
          paramsValue: 'year',
          value: '',   // v-model绑定的值
          paramsId: 'startYear',
          list: [
            {
              text: '年份不限',
              value: ''
            }
          ]
        }
      ],
      detailList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '法院',
          value: 'court'
        },
        {
          name: '承办部门',
          value: 'department'
        },
        {
          name: '承办法官',
          value: 'judge'
        },
        {
          name: '法官助理',
          value: 'assistant'
        },
        {
          name: '立案时间',
          value: 'filingDate',
          valueType: 'date'
        },
        {
          name: '开庭时间',
          value: 'startTime',
          valueType: 'date'
        },
        {
          name: '结案时间',
          value: 'closeDate',
          valueType: 'date'
        },
        {
          name: '案件状态',
          value: 'caseStatus'
        },
        {
          name: '案由',
          value: 'caseReason'
        },
        {
          name: '案件类型',
          value: 'caseType'
        },
        {
          name: '原告/上诉人/申请人/公诉人',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigant_id'
        },
        {
          name: '被告人/被告/被上诉人/被申请人',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigant_id'
        }
      ],
      viewList: [
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '上诉人/原告',
          listVal: 'plaintiffInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '被上诉人/被告',
          listVal: 'defendantInfo',
          value: 'name',
          companyId: 'litigantId',
          companyName: 'name'
        },
        {
          name: '立案日期',
          value: 'filingDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'judicial_auction',
      routing: 'SiFaPaiMai',
      title: '司法拍卖',
      viewList: [
        {
          value: 'auctionTitle',
          valueType: 'title'
        },
        {
          name: '起拍价（元）',
          value: 'initialPrice'
        },
        {
          name: '拍卖时间',
          value: 'startTime',
          valueType: 'date'
        },
        {
          name: '报名人数',
          value: 'applyCount'
        }
      ]
    },
    {
      code: 'evaluation_result',
      routing: 'XunJiaPingGu',
      title: '询价评估',
      viewList: [
        {
          name: '标的物所有人',
          value: 'name'
        },
        {
          name: '询价结果(元)',
          value: 'money'
        },
        {
          name: '案号',
          value: 'caseNo'
        },
        {
          name: '法院名称',
          value: 'courtName'
        },
        {
          name: '发布日期',
          value: 'publishTime',
          valueType: 'date'
        },
        {
          name: '财产类型',
          value: 'assetType'
        },
        {
          name: '确定参考价方式',
          value: 'referencePrice'
        }
      ]
    }
  ]
}
