
export interface TotalDemensionInter {
  companyName: string,
  list: DemensionPagesInter[]
}

export interface DemensionPagesInter {
  projectName: string,
  list: DemensionPagesListInter[]
}

export interface DemensionPagesListInter {
  code: string,
  routing: string,
  title: string,
  //是否有详情页
  hasDetail?: boolean
  detailList?: ViewListInter[],
  viewList?: ViewListInter[],
  menuList?: MenuListInter[],  //tab下面的下拉菜单列表
  tabs?: 'deleted' | [],  //是否有tabs，历史列表deleted，普通tab传数组
  customRender?: any,
}


//标准字段展示列表，必须有value，valueType表示展示字段的处理类型
export interface ViewListInter {
  name?: string,
  value: string,
  //类型 时间、标题、万元
  valueType?: 'date' | 'title' | 'w',
  //数组字段名
  listVal?: string,
  //需要跳转企业详情的ID和Name
  companyId?: string,
  companyName?: string,
  //自定义HTML元素
  solt?: string,
  customClick?: Function
}

export interface MenuListInter {
  /**
   * 提交给后端的字段名
   */
  paramsValue: string,
  /**
   * v-model绑定的值
   */
  value: string,
  /**
   * 对应后端的ID匹配数组
   */
  paramsId?: string
  list: { text: string, value: string }[]
}
