import { useRoute } from 'vue-router'
import { $getDemension } from '@/utils/utils'
import { DemensionDetailStoreInter } from '../types/store'
import { defineStore } from 'pinia'
import $axios from '@/api'
export const useDemensionDetailStore = defineStore({
  id: 'demensionDetail',
  state: () => {
    return <DemensionDetailStoreInter>{
      selectDemension: {},
      info: {}
    }
  },
  actions: {
    //初始化列表状态
    getDemension(routerName?: string) {
      console.log(78, routerName)

      const demensionInfo = $getDemension(routerName)

      //首页返回所有维度列表，列表页正常返回
      if (demensionInfo.selectDemension) {
        this.selectDemension = demensionInfo.selectDemension
      } else {
        return demensionInfo.allDemensionArr
      }
      this.getDetail()
    },
    async getDetail() {
      const route = useRoute()
      // $axios
      const params = {
        id: route.query.id,
        code: this.selectDemension.code
      }
      const res = await $axios.get('lawyer-workbench/risk/dimension/detail', { params })
      // console.log(res)

      this.info = res
    }

  }
})
